<?xml version="1.0" encoding="UTF-8"?>
<scenario begin="account">

	<!-- EOS -->
	<screen id="account" type="numeric" title="Cod client">
		<fields>
			<text-field id="id1" keyboard="Digital" max-len="20" message="Introduceti codul de plata" title="Cod de plata">
				<validator type="regex">
					<rules>
						<rule regex="^[0-9]{12}$"/>
					</rules>
				</validator>
				<help>
					<![CDATA[<html>Introduceti codul de client sau scanati codul de bare.]]>
				</help>
			</text-field>
		</fields>
		<barcode-scanner>
			<barcode-parser type="regex">
				<rules validate="^.*$">
					<rule key="id1" title="Cod" regex="^(.*)$" is-bind="true"/>
				</rules>
			</barcode-parser>
		</barcode-scanner>
		<actions>
			<action type="Next" title="Inainte">
				<online-request type="default" function="adv-check" params="id1">
					<actions>
						<action type="success">
							<if condition="code == 0">
								<then>
									<goto target="confirm"/>
								</then>
								<else>
									<dialog type="Info" title="Eroare" message="Eroare: {0}" timeout="10" default="okay" mess-params="exception">
										<actions>
											<action type="okay" title="OK">
												<cancel/>
											</action>
										</actions>
									</dialog>
								</else>
							</if>
						</action>
						<action type="error">
							<dialog type="Info" title="Eroare" message="A intervenit o eroare, va rugam sa incercati din nou" timeout="10" default="okay">
								<actions>
									<action type="okay" title="OK">
										<cancel/>
									</action>
								</actions>
							</dialog>
						</action>
					</actions>
				</online-request>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="previous"/>
			</action>
			<action type="Exit" title="Pagina principala">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>

	<!-- Confirm -->
	<screen id="confirm" type="confirm" title="Confirmare">
		<fields list="cod_client"/>
		<actions>
			<action type="Next" title="Achita">
				<goto target="pay"/>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="account"/>
			</action>
			<action type="Exit" title="Acasa">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>
</scenario>
